Package ghidra.util.table

# Class PreviewTableCellData

java.lang.Object
ghidra.util.table.PreviewTableCellData

All Implemented Interfaces:
  `Comparable<PreviewTableCellData>`

public class PreviewTableCellData extends Object implements Comparable<PreviewTableCellData>
A generic data type used by table models in order to signal that the data should render a preview for a given `ProgramLocation`, where the preview is what is displayed in the Listing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreviewTableCellData(ProgramLocation location, CodeUnitFormat codeUnitFormat)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(PreviewTableCellData data)`
  `String`
  `getDisplayString()`
  Get the preview for the code unit at or containing the address associated with this cell's row.
  `String`
  `getHTMLDisplayString()`
  Get the preview as HTML for the code unit at or containing the address associated with this cell's row.
  `ProgramLocation`
  `getProgramLocation()`
  `boolean`
  `isOffcut()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PreviewTableCellData

    public PreviewTableCellData(ProgramLocation location, CodeUnitFormat codeUnitFormat)
    Constructor
    Parameters:
      `location` - the location for the preview
      `codeUnitFormat` - the format needed to render preview data

- ## Method Details

  - ### isOffcut

    public boolean isOffcut()

  - ### getDisplayString

    public String getDisplayString()
    Get the preview for the code unit at or containing the address associated with this cell's row.
    Returns:
      the preview string.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHTMLDisplayString

    public String getHTMLDisplayString()
    Get the preview as HTML for the code unit at or containing the address associated with this cell's row.
    Returns:
      the preview string.

  - ### getProgramLocation

    public ProgramLocation getProgramLocation()

  - ### compareTo

    public int compareTo(PreviewTableCellData data)
    Specified by:
      `compareTo` in interface `Comparable<PreviewTableCellData>`